
     screenX = love.graphics.getWidth()
	 screenY = love.graphics.getHeight()
	 
     player = {}
	 
	--Function to reset player
function player.load()
	 player.x  = 600
	 player.y = 5
	 player.xvel = 0
	 player.yvel = 0
	 player.friction = 7
	 player.speed = 2250
	 player.width = 50
	 player.height = 50
	 player.jumpheight = 300
	 player.pic = love.graphics.newImage("playerR.png")
end


   --Draws player on screen
function player.draw()
     love.graphics.setColor(255,255,255)
	 love.graphics.draw(player.pic, player.x, player.y)

end
   

   --Smooth movement and gravity  
function player.physics(dt)
     player.x = player.x + player.xvel * dt
	 player.y = player.y + player.yvel * dt
	 player.yvel = player.yvel + gravity * dt
	 player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1))
end
   
   
   --Simple movement
function player.move(dt)
     if love.keyboard.isDown("right") and
	 player.xvel < player.speed then
	     player.pic = love.graphics.newImage("playerR.png")
	     player.xvel = player.xvel + player.speed * dt
       end
     if love.keyboard.isDown("left") and
	 player.xvel > -player.speed then
	 player.pic = love.graphics.newImage("playerL.png")
	      player.xvel = player.xvel - player.speed * dt
	   end
   end
   
   --Screen boundry
function player.boundry()
     if player.x < 0 then
	    player.x = 0
		player.xvel = 0
	 else if player.x > screenX - player.width then
	    player.x = screenX - player.width
		player.xvel = 0
	 
	 end
	 end
	 
	 if player.y + player.height > groundlevel then
	      player.y = groundlevel - player.height
		  player.yvel = 0
     
	 elseif player.y < 0 then
	      player.y = 0
          player.yvel = 0		  

	  end
	end 

  
   --Debug button "R" reset player
function player.reset()
     if love.keyboard.isDown("r") then
	   player.load()
	 end
end

   --Jump function to player
function player.jump()
    if love.keyboard.isDown("w") then
       gravity = gravity + 10
	else if love.keyboard.isDown("s") then
	   gravity = gravity - 10
	else if love.keyboard.isDown("d") then
	   gravity = 600
	end
	end
end

	 
	
	 
	 if love.keyboard.isDown("up") and player.yvel == 0 then -- Should we be jumping, and can we?
      --This works because the ySpeed is only zero when we aren't already jumping.
      player.yvel = -player.jumpheight-- Make us add a negative, to move up

     end
	 
end



  -- love.update
function UPDATE_PLAYER(dt)
    player.physics(dt)
	player.move(dt)
	player.boundry()
	player.reset()
	player.jump(dt)

end

   --love.draw
function DRAW_PLAYER()
     player.draw()
end

